<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Calculation\Logical</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_false" title="false ::FALSE.">
            <span class="description">FALSE.</span><pre>false</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_IFERROR" title="IFERROR ::IFERROR.">
            <span class="description">IFERROR.</span><pre>IFERROR</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_IFNA" title="IFNA ::IFNA.">
            <span class="description">IFNA.</span><pre>IFNA</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_logicalAnd" title="logicalAnd ::LOGICAL_AND.">
            <span class="description">LOGICAL_AND.</span><pre>logicalAnd</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_logicalOr" title="logicalOr ::LOGICAL_OR.">
            <span class="description">LOGICAL_OR.</span><pre>logicalOr</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_logicalXor" title="logicalXor ::LOGICAL_XOR.">
            <span class="description">LOGICAL_XOR.</span><pre>logicalXor</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_NOT" title="NOT ::NOT.">
            <span class="description">NOT.</span><pre>NOT</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_statementIf" title="statementIf ::STATEMENT_IF.">
            <span class="description">STATEMENT_IF.</span><pre>statementIf</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_statementSwitch" title="statementSwitch ::STATEMENT_SWITCH.">
            <span class="description">STATEMENT_SWITCH.</span><pre>statementSwitch</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_true" title="true ::TRUE.">
            <span class="description">TRUE.</span><pre>true</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_countTrueValues" title="countTrueValues ::">
                                <span class="description"></span><pre>countTrueValues</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Logical</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_countTrueValues"></a>
                        <div class="element clickable methodprivate method_countTrueValues" data-toggle="collapse" data-target=".method_countTrueValues .collapse">
                            <h2>countTrueValues</h2>
                            <pre>countTrueValues(array $args)</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$args</h4>
                                                <code>array</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_false"></a>
                        <div class="element clickable methodpublic method_false" data-toggle="collapse" data-target=".method_false .collapse">
                            <h2>FALSE.</h2>
                            <pre>false(): boolean</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the boolean FALSE.</p>
<p>Excel Function:
=FALSE()</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Logical Functions</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p><p>False</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_IFERROR"></a>
                        <div class="element clickable methodpublic method_IFERROR" data-toggle="collapse" data-target=".method_IFERROR .collapse">
                            <h2>IFERROR.</h2>
                            <pre>IFERROR(mixed $testValue = &#039;&#039;,mixed $errorpart = &#039;&#039;): mixed</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Excel Function:
=IFERROR(testValue,errorpart)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Logical Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$testValue</h4>
                                                <code>mixed</code><p><p>Value to check, is also the value returned when no error</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$errorpart</h4>
                                                <code>mixed</code><p><p>Value to return when testValue is an error condition</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p><p>The value of errorpart or testValue determined by error condition</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_IFNA"></a>
                        <div class="element clickable methodpublic method_IFNA" data-toggle="collapse" data-target=".method_IFNA .collapse">
                            <h2>IFNA.</h2>
                            <pre>IFNA(mixed $testValue = &#039;&#039;,mixed $napart = &#039;&#039;): mixed</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Excel Function:
=IFNA(testValue,napart)</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Logical Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$testValue</h4>
                                                <code>mixed</code><p><p>Value to check, is also the value returned when not an NA</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$napart</h4>
                                                <code>mixed</code><p><p>Value to return when testValue is an NA condition</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p><p>The value of errorpart or testValue determined by error condition</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_logicalAnd"></a>
                        <div class="element clickable methodpublic method_logicalAnd" data-toggle="collapse" data-target=".method_logicalAnd .collapse">
                            <h2>LOGICAL_AND.</h2>
                            <pre>logicalAnd(mixed $args): boolean|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns boolean TRUE if all its arguments are TRUE; returns FALSE if one or more argument is FALSE.</p>
<p>Excel Function:
=AND(logical1[,logical2[, ...]])</p>
<pre><code>   The arguments must evaluate to logical values such as TRUE or FALSE, or the arguments must be arrays
       or references that contain logical values.

   Boolean arguments are treated as True or False as appropriate
   Integer or floating point arguments are treated as True, except for 0 or 0.0 which are False
   If any argument value is a string, or a Null, the function returns a #VALUE! error, unless the string holds
       the value TRUE or FALSE, in which case it is evaluated as the corresponding boolean value</code></pre></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Logical Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$args</h4>
                                                <code>mixed</code><p><p>Data values</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean|string</code><p><p>the logical AND of the arguments</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_logicalOr"></a>
                        <div class="element clickable methodpublic method_logicalOr" data-toggle="collapse" data-target=".method_logicalOr .collapse">
                            <h2>LOGICAL_OR.</h2>
                            <pre>logicalOr(mixed $args): boolean|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns boolean TRUE if any argument is TRUE; returns FALSE if all arguments are FALSE.</p>
<p>Excel Function:
=OR(logical1[,logical2[, ...]])</p>
<pre><code>   The arguments must evaluate to logical values such as TRUE or FALSE, or the arguments must be arrays
       or references that contain logical values.

   Boolean arguments are treated as True or False as appropriate
   Integer or floating point arguments are treated as True, except for 0 or 0.0 which are False
   If any argument value is a string, or a Null, the function returns a #VALUE! error, unless the string holds
       the value TRUE or FALSE, in which case it is evaluated as the corresponding boolean value</code></pre></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Logical Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$args</h4>
                                                <code>mixed</code><p><p>Data values</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean|string</code><p><p>the logical OR of the arguments</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_logicalXor"></a>
                        <div class="element clickable methodpublic method_logicalXor" data-toggle="collapse" data-target=".method_logicalXor .collapse">
                            <h2>LOGICAL_XOR.</h2>
                            <pre>logicalXor(mixed $args): boolean|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the Exclusive Or logical operation for one or more supplied conditions.
i.e. the Xor function returns TRUE if an odd number of the supplied conditions evaluate to TRUE, and FALSE otherwise.</p>
<p>Excel Function:
=XOR(logical1[,logical2[, ...]])</p>
<pre><code>   The arguments must evaluate to logical values such as TRUE or FALSE, or the arguments must be arrays
       or references that contain logical values.

   Boolean arguments are treated as True or False as appropriate
   Integer or floating point arguments are treated as True, except for 0 or 0.0 which are False
   If any argument value is a string, or a Null, the function returns a #VALUE! error, unless the string holds
       the value TRUE or FALSE, in which case it is evaluated as the corresponding boolean value</code></pre></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Logical Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$args</h4>
                                                <code>mixed</code><p><p>Data values</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean|string</code><p><p>the logical XOR of the arguments</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_NOT"></a>
                        <div class="element clickable methodpublic method_NOT" data-toggle="collapse" data-target=".method_NOT .collapse">
                            <h2>NOT.</h2>
                            <pre>NOT(mixed $logical = false): boolean|string</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the boolean inverse of the argument.</p>
<p>Excel Function:
=NOT(logical)</p>
<pre><code>   The argument must evaluate to a logical value such as TRUE or FALSE

   Boolean arguments are treated as True or False as appropriate
   Integer or floating point arguments are treated as True, except for 0 or 0.0 which are False
   If any argument value is a string, or a Null, the function returns a #VALUE! error, unless the string holds
       the value TRUE or FALSE, in which case it is evaluated as the corresponding boolean value</code></pre></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Logical Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$logical</h4>
                                                <code>mixed</code><p><p>A value or expression that can be evaluated to TRUE or FALSE</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean|string</code><p><p>the boolean inverse of the argument</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_statementIf"></a>
                        <div class="element clickable methodpublic method_statementIf" data-toggle="collapse" data-target=".method_statementIf .collapse">
                            <h2>STATEMENT_IF.</h2>
                            <pre>statementIf(mixed $condition = true,mixed $returnIfTrue,mixed $returnIfFalse = false): mixed</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns one value if a condition you specify evaluates to TRUE and another value if it evaluates to FALSE.</p>
<p>Excel Function:
=IF(condition[,returnIfTrue[,returnIfFalse]])</p>
<pre><code>   Condition is any value or expression that can be evaluated to TRUE or FALSE.
       For example, A10=100 is a logical expression; if the value in cell A10 is equal to 100,
       the expression evaluates to TRUE. Otherwise, the expression evaluates to FALSE.
       This argument can use any comparison calculation operator.
   ReturnIfTrue is the value that is returned if condition evaluates to TRUE.
       For example, if this argument is the text string "Within budget" and the condition argument evaluates to TRUE,
       then the IF function returns the text "Within budget"
       If condition is TRUE and ReturnIfTrue is blank, this argument returns 0 (zero). To display the word TRUE, use
       the logical value TRUE for this argument.
       ReturnIfTrue can be another formula.
   ReturnIfFalse is the value that is returned if condition evaluates to FALSE.
       For example, if this argument is the text string "Over budget" and the condition argument evaluates to FALSE,
       then the IF function returns the text "Over budget".
       If condition is FALSE and ReturnIfFalse is omitted, then the logical value FALSE is returned.
       If condition is FALSE and ReturnIfFalse is blank, then the value 0 (zero) is returned.
       ReturnIfFalse can be another formula.</code></pre></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Logical Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$condition</h4>
                                                <code>mixed</code><p><p>Condition to evaluate</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$returnIfTrue</h4>
                                                <code>mixed</code><p><p>Value to return when condition is true</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$returnIfFalse</h4>
                                                <code>mixed</code><p><p>Optional value to return when condition is false</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p><p>The value of returnIfTrue or returnIfFalse determined by condition</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_statementSwitch"></a>
                        <div class="element clickable methodpublic method_statementSwitch" data-toggle="collapse" data-target=".method_statementSwitch .collapse">
                            <h2>STATEMENT_SWITCH.</h2>
                            <pre>statementSwitch(mixed $arguments): mixed</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns corresponding with first match (any data type such as a string, numeric, date, etc).</p>
<p>Excel Function:
=SWITCH (expression, value1, result1, value2, result2, ... value_n, result_n [, default])</p>
<pre><code>   Expression
         The expression to compare to a list of values.
   value1, value2, ... value_n
         A list of values that are compared to expression. The SWITCH function is looking for the first value that matches the expression.
   result1, result2, ... result_n
         A list of results. The SWITCH function returns the corresponding result when a value matches expression.
    default
         Optional. It is the default to return if expression does not match any of the values (value1, value2, ... value_n).</code></pre></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Logical Functions</p>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$arguments</h4>
                                                <code>mixed</code><p><p>Statement arguments</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p><p>The value of matched expression</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_true"></a>
                        <div class="element clickable methodpublic method_true" data-toggle="collapse" data-target=".method_true .collapse">
                            <h2>TRUE.</h2>
                            <pre>true(): boolean</pre>
                            <div class="labels"><span class="label">static</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>Returns the boolean TRUE.</p>
<p>Excel Function:
=TRUE()</p></div>

                                    <table class="table">                                            <tr>
                                                <th>category
                                                </th>
                                                <td><p>Logical Functions</p>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p><p>True</p></p>                                </div>
                            </div>

                        </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Calculation\Logical"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Calculation.html">Calculation</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.Logical.html">Logical</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:47 +0000.<br/>
    </footer></body>
</html>
